<script type="text/javascript">
$(function () {
  $('.dropdown').each(function () {
    $(this).parent().eq(0).hover(
      function () {$('.dropdown:eq(0)', this).slideDown(200);},
      function () {$('.dropdown:eq(0)', this).slideUp(300);}
    );
  });
});
</script>

<div class="menu">
 <ul class="tabs">
  <% @account.rodokmen.flatten.compact.reverse.each do |account| %>
    <%= render :partial => 'menu_item', :locals => {:account => account } %>
  <% end %>
  <% if !@account.subaccounts.empty? %>
    <%= render :partial => 'menu_item', :locals => {:account => nil, :parent => @account } %>
  <% end %>
 </ul>
</div>

<style type="text/css">
/* http://www.webdesigndev.com/web-development/create-the-fanciest-dropdown-menu-you-ever-saw */
/* tabs *************************/

ul.tabs {
display: table;
margin: 0;
padding: 0;
list-style: none;
position: relative;
}

ul.tabs li {
margin: 0;
padding: 0;
list-style: none;
display: table-cell;
float: left;
position: relative;
}

ul.tabs a {
position: relative;
display: block;
}

/* dropdowns *************************/

ul.dropdown {
margin: 0;
padding: 0;
display: block;
position: absolute;
z-index: 999;
top: 100%;
width: 250px;
display: none;
left: 0;
}

ul.dropdown ul.dropdown {
top: 0;
left: 95%;
}
ul.dropdown li {
 margin: 0;
 padding: 0;
 float: none;
 position: relative;
 list-style: none;
 display: block;
}
ul.dropdown li a {
 display: block;
}
/* links *************************/
div.heading3 {
  overflow:visible; !important
}

.menu {
  position: relative;
  z-index: 105;
  width: 100%;
  line-height: 40px;
  /* background: #ffb35a url(images/topbg.gif) repeat-x; */
}

#menu a { text-decoration: none; }

/* menu-specifc *************************/
#menu ul { margin: 0 0 0 0; }

.menu li ul li {background:#FFFCE3; }

#menu ul li.hasmore {
 background: url(images/drophighlight.png) no-repeat center 27px;
}

.menu ul li span:before {
  content: "» ";
}

.menu ul li a {
/* color: #9b2021; 
 padding-right: 14px; */
 text-decoration: none;
}

#menu ul li a img {
vertical-align: middle;
}

#menu ul li a:hover {
background: url(images/topselectionleft.png) top left no-repeat;
}

.menu ul li a span {
display: block;
padding: 0 0.8em 0 0px;
}

#menu ul li a:hover span {
background: url(images/topselectionright.png) top right;
}

.menu ul.dropdown {
  padding-top: 3px;
  overflow:visible;
/*  background-image:  url(images/dropdown.png);
border-bottom: 1px solid #dc902f; 
width: 290px;*/
}

.menu ul.dropdown li a {
border-bottom: 1px solid #e5cd8e;
line-height: 30px;
overflow:visible;
height: 30px;
padding-left:13px;
white-space: nowrap;
}

#menu ul.dropdown li:last-child a {
border-bottom-width: 0;
}

#menu ul.dropdown li a:hover {
background: url(images/menuarrow.png) no-repeat left center;
}

#menu ul li h4 a:hover {
background-image: none;
}
</style>

